Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
(non risolta ma accettata) Qtwenkit testing
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Tue Sep 04, 2018 10:12 pm    Post subject: (non risolta ma accettata) Qtwenkit testing Reply with quote

Salve, io ho cercato di aggiornarmi in testing solo l'ambiente grafico, perché ho già avuto esperienze con altre distro del plasma 5.13 ed era abbastanza stabile e più leggera della versioni precedenti. Inizialmente ho avuto problemi di conflitti ma quelle li avevo risolti cancellando i pacchetti che andavano in conflitto e reinstallandoli già aggiornati (~and64) ma quando ho mandato il comando di aggiornamento e arrivava al pacchetto Qtwebkit ci voleva moltissimo tempo. Il primo tentativo sono riuscito a portare pazienza e essere uscito di casa ma quando ero ritornato mi diceva di aver finito l'aggiornamento ma non vedevo niente di diverso e quindi per curiosità ho rimandato il comando "emerge --ask --changed-use --deep @world" e tutte la versione erano quelle stable (5.12.5) , quindi in pratica non mi ha aggiornato niente e l'ho rimandato l'aggiornamento ma ancora Qtwebkit. Il primo tentativo l'ho fatto con l'ambiente grafico, ma questa volta ho voluto provare senza ambiente grafico per renderlo più leggero essendo che il pacchetto Qtwebkit mi stressasse tanto la CPU e la Ram ma l'ho lasciato tutta la notte ma non aveva ancora finito e alla fine ho riportato tutto alla versione stable. Posso capire che il pacchetto Qtwebkit sarà un pacchetto grosso e ci vuole il suo tempo ma, così tanto di non bastare una notte intera? ci sono soluzioni per metterci meno tempo e risolvere questi problemi?

Last edited by darkfor.con on Fri Sep 07, 2018 2:49 pm; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19910
Location: here

PostPosted: Wed Sep 05, 2018 5:55 am    Post subject: Reply with quote

dev-qt/qtwebkit e' uno di quei pacchetti pesanti sul mio Intel i7-4930K@3.40GHz a 6 core i tempi sono questi
Code:
     Thu Jun  1 10:04:40 2017 >>> dev-qt/qtwebkit-5.7.1
       merge time: 12 minutes and 42 seconds.

     Thu Jun  1 10:13:46 2017 >>> dev-qt/qtwebkit-4.8.7
       merge time: 8 minutes and 13 seconds.

     Mon Sep  4 10:50:54 2017 >>> dev-qt/qtwebkit-4.8.7
       merge time: 14 minutes and 54 seconds.

     Tue Feb  6 10:44:45 2018 >>> dev-qt/qtwebkit-5.9.1
       merge time: 14 minutes and 1 second.

     Mon Jul 16 18:31:18 2018 >>> dev-qt/qtwebkit-5.212.0_pre20180120
       merge time: 30 minutes and 53 seconds.

Prova a postare il tuo emerge --info per capire se i tempi che hai dato possono essere corretti

EDIT: stanno preparando plasma-5.13.5 per la stabilizzazione
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Wed Sep 05, 2018 8:47 am    Post subject: Reply with quote

Quote:
Portage 2.3.40 (python 3.6.5-final-0, default/linux/amd64/17.0/desktop/plasma, gcc-7.3.0, glibc-2.26-r7, 4.14.65-gentoo x86_64)
=================================================================
System uname: Linux-4.14.65-gentoo-x86_64-Intel-R-_Core-TM-_i5-4440_CPU_@_3.10GHz-with-gentoo-2.4.1
KiB Mem: 3986552 total, 1609860 free
KiB Swap: 4259836 total, 4259836 free
Timestamp of repository gentoo: Mon, 03 Sep 2018 12:30:01 +0000
Head commit of repository gentoo: 5e188b0f18e9db395ae0e730ec25d14a8c4d18a7
sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p2) 2.30.0
app-shells/bash: 4.4_p12::gentoo
dev-lang/perl: 5.24.3-r1::gentoo
dev-lang/python: 2.7.14-r1::gentoo, 3.6.5::gentoo
dev-util/cmake: 3.9.6::gentoo
dev-util/pkgconfig: 0.29.2::gentoo
sys-apps/baselayout: 2.4.1-r2::gentoo
sys-apps/openrc: 0.34.11::gentoo
sys-apps/sandbox: 2.13::gentoo
sys-devel/autoconf: 2.13::gentoo, 2.69-r4::gentoo
sys-devel/automake: 1.15.1-r2::gentoo
sys-devel/binutils: 2.30-r2::gentoo
sys-devel/gcc: 7.3.0-r3::gentoo
sys-devel/gcc-config: 1.8-r1::gentoo
sys-devel/libtool: 2.4.6-r3::gentoo
sys-devel/make: 4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.13::gentoo (virtual/os-headers)
sys-libs/glibc: 2.26-r7::gentoo
Repositories:

gentoo
location: /usr/portage
sync-type: rsync
sync-uri: rsync://rsync.gentoo.org/gentoo-portage
priority: -1000
sync-rsync-verify-metamanifest: yes
sync-rsync-verify-max-age: 24
sync-rsync-verify-jobs: 1
sync-rsync-extra-opts:

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* @EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="it_IT.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="it"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities aes alsa amd64 avx avx2 berkdb bluetooth branding brightness-control browser-integration bzip2 cairo cdda cdr cli consolekit crypt cups cxx dbus declarative display-manager dri dts dvd dvdr emboss encode exif f16c fam flac fma3 fortran gdbm gif glamor gpm grub gtk gtk3 handbook iconv icu ipv6 jpeg kde kipi kwallet lcms ldap legacy-systray libnotify libtirpc mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses networkmanager nls nptl nvidia ogg opengl openmp pam pango pcimul pcre pdf phonon plasma plasma-nm plasma-pa png policykit popcnt powerdevil ppds pulseaudio python qml qt5 readline sddm sdk sdl seccomp semantic-desktop spell sse sse2 sse3 sse4_1 sse4_2 ssl ssse3 startup-notification svg tcpd tiff tools truetype udev udisks unicode upower usb vorbis wallpapers webengine widgets wxwidgets x264 xattr xcb xcomposite xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon plan sheets stage words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" L10N="it" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6 php7-0" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset: CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19910
Location: here

PostPosted: Wed Sep 05, 2018 9:06 am    Post subject: Reply with quote

Vedo che hai solo 4GB di ram e questo potrebbe essere un motivo della lentezza.
Se hai possibilita' di aumentare la ram aggiungerei qualcosina se no prova anche a diminuire MAKEOPTS="-j5", questo perche' penso che con -j5 ti riempie tutta la ram e poi inizia a swappare.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Wed Sep 05, 2018 9:19 am    Post subject: Reply with quote

Quote:
Vedo che hai solo 4GB di ram e questo potrebbe essere un motivo della lentezza.
Se hai possibilita' di aumentare la ram aggiungerei qualcosina se no prova anche a diminuire MAKEOPTS="-j5", questo perche' penso che con -j5 ti riempie tutta la ram e poi inizia a swappare.


grazie dell'informazione. Io ho messo i MAKEOPTS="-j5 perché avevo letto che era una questione dei core della CPU e metterne uno in più ma adesso lo cambio, grazie ancora :D


Last edited by darkfor.con on Wed Sep 05, 2018 9:26 am; edited 1 time in total
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19910
Location: here

PostPosted: Wed Sep 05, 2018 9:24 am    Post subject: Reply with quote

darkfor.con wrote:
grazie dell'informazione. Io ho messo i MAKEOPTS="-j5 perché avevo letto che era una questione dei core della CPU e metterne uno in più ma adesso lo cambio, grazie ancora :D

Che non e' sbagliato e solitamente funziona, anzi il tuo ha 4 core e 4 thread e potresti mettere anche -j9, ma aumentare questo valore fa aumentare anche il consumo di ram.
Poi magari non risolvi piu' di tanto neanche diminuendo il valore, dovresti fare qualche prova
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Wed Sep 05, 2018 11:11 am    Post subject: Reply with quote

Quote:
Che non e' sbagliato e solitamente funziona, anzi il tuo ha 4 core e 4 thread e potresti mettere anche -j9, ma aumentare questo valore fa aumentare anche il consumo di ram.
Poi magari non risolvi piu' di tanto neanche diminuendo il valore, dovresti fare qualche prova


OK :D
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Wed Sep 05, 2018 5:21 pm    Post subject: Reply with quote

Scusate, mi ero confuso con i pacchetti. Il pacchetto non era il qtwebkit ma qtwebengine. Adesso sto faccendo l'aggiornamento ma sul qtwebengine sta andando avanti della 15
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19910
Location: here

PostPosted: Wed Sep 05, 2018 5:39 pm    Post subject: Reply with quote

darkfor.con wrote:
Scusate, mi ero confuso con i pacchetti. Il pacchetto non era il qtwebkit ma qtwebengine. Adesso sto faccendo l'aggiornamento ma sul qtwebengine sta andando avanti della 15

Ok altro discorso qtwebengine e' ancora piu' pesante di qtwebkit perche' si porta dietro il codice di chromium
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Wed Sep 05, 2018 6:00 pm    Post subject: Reply with quote

Quote:
Ok altro discorso qtwebengine e' ancora piu' pesante di qtwebkit perche' si porta dietro il codice di chromium

Noto essendo che c'è codici di chromium di pertutto, ma è proprio necessario con plasma 5.13? Io quando avevo installato la versione stable di plasma mi aveva installato qtwebkit dei requisiti ma adesso mi chiede qtwebengine ma io che non uso ne chomium nemmeno chrome ma uso firefox, è proprio necessario? Come posso evitarla?
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19910
Location: here

PostPosted: Wed Sep 05, 2018 6:40 pm    Post subject: Reply with quote

darkfor.con wrote:
Noto essendo che c'è codici di chromium di pertutto, ma è proprio necessario con plasma 5.13? Io quando avevo installato la versione stable di plasma mi aveva installato qtwebkit dei requisiti ma adesso mi chiede qtwebengine ma io che non uso ne chomium nemmeno chrome ma uso firefox, è proprio necessario? Come posso evitarla?

Dovresti vedere che pacchetti lo richiedono e lo puoi fare con il comando equery d qtwebengine, se non hai equery installa app-portage/gentoolkit (posta pure il risultato del comando).
Comunque sono componenti kde che lo usano, principalmente per renderizzare codice html/js, indipendentemente se tu usi firefox o altro; uno di quelli che ne fa uso per esempio e' kmail
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
darkfor.con
n00b
n00b


Joined: 27 Aug 2018
Posts: 48

PostPosted: Fri Sep 07, 2018 3:16 pm    Post subject: Reply with quote

Io sono riuscito ad installare qtwebengine all'una di nottei ma ho avuto altri problemi, cioè che quando è arrivato alla breeze mi falliva in continuazione la compilazione ma ho fatto la mossa azzardata di pensare di provare a cancellare la versione stabile e installare quella testang direttamente ma pure con una installazione diretta mi fallava la compilazione. Alla fine mi ero rotto e volevo portare tutto alla versione stable ma pure per questo con la versione stable di breeze mi falliva continuamente. Ho provato di tutto ma niente da fare... quindi ho dovuto rifare una installazione pulita che mi sono dedicato ieri ma adesso sto più attento di fare messe azzardate, perché io ho fatto sempre esperimenti con varie distro ma un conto è di fare qualcosa che poi fallisce con una distro che nel caso di un'oretta fai una installazione pulita, ma un'altro conto di una distro che ci metti ore ad reinstallarla. Io Gentoo me la tengo e penso che sarà la mia distro definitiva perché mi affascina e mi piace come funziona ma ci stò più attento di non sprecare ore, quindi mi tango la stable tanto non volevo tutto il sistema gentoo in testing ma solo l'ambiente grafico (per già esperienze con Debian testing) ma forse questo non è del tutto possibile ma tanto tra non molto ci sarà la plasma 5.13 in stable, quindi la aspetto! Ma mamma mia! ma la versione testing è proprio instabile... quando ho reinstallato KDE avevo dato per la plasma-meta ma mi chiedeva un openssl in testing (~amd64) e glie l'ho data ma da un certo punto di un pacchetto mi falliva la compilazione e all'inizio non capivo il motivo ma poi osservando bene mi sono accorto che mi segnalava qualcosa per gli ssl e quindi ho capito che era openssl,, ho risolto, prima ho installato manualmente gran parte pacchetti in lista per saltare quello che mi falliva, poi cancellando la versione testing di openssl, eliminandola pure su package.accept_keywords, poi installare solo la versione desktop di plasma (che in lista c'era pure a versione stable di openssl) e poi installare la meta per i pacchetti mancanti e non mi chiedeva più la versione testing di openssl e non c'era più quel pacchetto che mi fallava. Ma il testing di Gentoo è proprio un fallimento assicurato.. :D
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19910
Location: here

PostPosted: Fri Sep 07, 2018 7:50 pm    Post subject: Reply with quote

darkfor.con wrote:
Ma mamma mia! ma la versione testing è proprio instabile... quando ho reinstallato KDE avevo dato per la plasma-meta ma mi chiedeva un openssl in testing (~amd64) e glie l'ho data ma da un certo punto di un pacchetto mi falliva

No funziona benone sul mio sistema stabile con qt-5.11 e plasma-5.13.
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum